Bug 851309 - SELinux is preventing /usr/bin/gnome-shell from 'execute' accesses on the file /dev/mqueue/ffi3qLgET (deleted).
SELinux is preventing /usr/bin/gnome-shell from 'execute' accesses on the fil...
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-08-23 14:20 EDT by jmcdermottjr
Modified: 2012-12-15 14:53 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-12-15 14:53:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description jmcdermottjr 2012-08-23 14:20:25 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.5.1-1.fc17.x86_64
time:           Thu 23 Aug 2012 02:19:19 PM EDT

:SELinux is preventing /usr/bin/gnome-shell from 'execute' accesses on the file /dev/mqueue/ffi3qLgET (deleted).
:*****  Plugin catchall (100. confidence) suggests  ***************************
:If you believe that gnome-shell should be allowed execute access on the ffi3qLgET (deleted) file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:allow this access for now by executing:
:# grep gnome-shell /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:Additional Information:
:Source Context                system_u:system_r:xdm_t:s0-s0:c0.c1023
:Target Context                system_u:object_r:user_tmpfs_t:s0
:Target Objects                /dev/mqueue/ffi3qLgET (deleted) [ file ]
:Source                        gnome-shell
:Source Path                   /usr/bin/gnome-shell
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           gnome-shell-3.4.1-5.fc17.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-145.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.5.1-1.fc17.x86_64 #1 SMP Thu
:                              Aug 9 17:50:43 UTC 2012 x86_64 x86_64
:Alert Count                   230
:First Seen                    Tue 21 Aug 2012 10:04:11 PM EDT
:Last Seen                     Thu 23 Aug 2012 10:55:39 AM EDT
:Local ID                      96a8e21b-e7a9-4531-9e9d-91079e93cf03
:Raw Audit Messages
:type=AVC msg=audit(1345733739.498:170): avc:  denied  { execute } for  pid=1078 comm="gnome-shell" path=2F6465762F6D71756575652F66666933714C674554202864656C6574656429 dev="mqueue" ino=19217 scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tcontext=system_u:object_r:user_tmpfs_t:s0 tclass=file
:type=SYSCALL msg=audit(1345733739.498:170): arch=x86_64 syscall=mmap success=no exit=EACCES a0=0 a1=1000 a2=5 a3=1 items=0 ppid=1 pid=1078 auid=42 uid=42 gid=42 euid=42 suid=42 fsuid=42 egid=42 sgid=42 fsgid=42 tty=(none) ses=1 comm=gnome-shell exe=/usr/bin/gnome-shell subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 key=(null)
:Hash: gnome-shell,xdm_t,user_tmpfs_t,file,execute
:#============= xdm_t ==============
:allow xdm_t user_tmpfs_t:file execute;
:audit2allow -R
:#============= xdm_t ==============
:allow xdm_t user_tmpfs_t:file execute;
Comment 1 Daniel Walsh 2012-09-17 14:24:54 EDT
Have you seen this happen again?  It is very strange?

Note You need to log in before you can comment on or make changes to this bug.